flow123d_version: 2.0.0
problem: !Coupling_Sequential
  description: Test6 - Coupling between dimension 1D-2D - influence of sigma and cross
    section parameters.
  mesh:
    mesh_file: ../00_mesh/square_1x1_frac.msh
  flow_equation: !Flow_Darcy_MH
    output_specific:
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-07
    n_schurs: 2
    input_fields:
      - region: plane
        conductivity: 5
        # K_2d
        cross_section: 10
        # delta_2d
      - region: channel
        conductivity: 50
        # K1
        cross_section: 20
        # delta_1d
        sigma: 0.04
        # sigma
        # f_1d
        water_source_density: !FieldFormula
          value: -1/20*(10*5)
          # f_1d:- 1 / delta_1d (delta_2d * K_2d)
      - region: .plane
        bc_type: dirichlet
        bc_piezo_head: !FieldFormula
          value: x
          # p_2d
      - region: .channel
        bc_type: total_flux
        bc_flux: !FieldFormula
          value: '-(0)'
    output:
      fields:
        - piezo_head_p0
        - pressure_p0
        - pressure_p1
        - velocity_p0
    balance: {}
    output_stream:
      file: test6_21d.pvd
      format: !vtk
        variant: ascii
      name: flow_output_stream